<!DOCTYPE html>
<html>
	<head>
        <meta http-equiv="content-type" content="text/html; charset=UTF-8" />
		<title>UnitTestProject4 Test Execution Report</title>
        <script type="text/javascript" src="http://code.jquery.com/jquery-1.6.2.min.js"></script>
        <script type="text/javascript">
            /**
            * jQuery.fn.sortElements
            * --------------
            * #author James Padolsey (http://james.padolsey.com)
            * #version 0.11
            * #updated 18-MAR-2010
            * #url https://raw.github.com/jamespadolsey/jQuery-Plugins/master/sortElements/jquery.sortElements.js
            * --------------
            * #param Function comparator:
            *   Exactly the same behaviour as [1,2,3].sort(comparator)
            *   
            * #param Function getSortable
            *   A function that should return the element that is
            *   to be sorted. The comparator will run on the
            *   current collection, but you may want the actual
            *   resulting sort to occur on a parent or another
            *   associated element.
            *   
            *   E.g. $('td').sortElements(comparator, function(){
            *      return this.parentNode; 
            *   })
            *   
            *   The <td>'s parent (<tr>) will be sorted instead
            *   of the <td> itself.
            */
            jQuery.fn.sortElements = (function () {

                var sort = [].sort;

                return function (comparator, getSortable) {

                    getSortable = getSortable || function () { return this; };

                    var placements = this.map(function () {

                        var sortElement = getSortable.call(this),
                parentNode = sortElement.parentNode,

                        // Since the element itself will change position, we have
                        // to have some way of storing it's original position in
                        // the DOM. The easiest way is to have a 'flag' node:
                nextSibling = parentNode.insertBefore(
                    document.createTextNode(''),
                    sortElement.nextSibling
                );

                        return function () {

                            if (parentNode === this) {
                                throw new Error(
                        "You can't sort elements if any one is a descendant of another."
                    );
                            }

                            // Insert before flag:
                            parentNode.insertBefore(this, nextSibling);
                            // Remove flag:
                            parentNode.removeChild(nextSibling);

                        };

                    });

                    return sort.call(this, comparator).each(function (i) {
                        placements[i].call(getSortable.call(this));
                    });

                };

            })();
        </script>
        <script type="text/javascript">
            jQuery.fn.setBarSizes = (function () {
                return function (metricName, maxBarSize, min) {
                    var max = Math.max.apply(Math, $.makeArray($(this).map(function () { return Number($(this).attr('data-sr-' + metricName)); })));
                    var scale = 1.0;
                    while (max > 0.0 && max <= 10.0) {
                        scale = scale * 10.0;
                        max = max * 10.0;
                    }
                    max = (Math.ceil(max / 2) * 2) / scale;

                    this.each(function () {
                        var barAnchor = $(this).find('a');
                        var actual = $(this).attr('data-sr-' + metricName);
                        var newHeight = Math.max(Math.round(maxBarSize * (actual - min) / (max - min)), 2);
                        barAnchor.css({ height: newHeight });
                    });

                    var unit = "";
                    if (metricName.substr(metricName.length - 4, 4) === "time")
                        unit = "s";

                    $('#testview .scale-min-label').each(function () {
                        $(this).text(min.toString() + unit);
                    });
                    $('#testview .scale-max-label').each(function () {
                        $(this).text(max.toString() + unit);
                    });
                    var mid = max / 2;
                    $('#testview .scale-mid-label').each(function () {
                        $(this).text(mid.toString() + unit);
                    });
                };
            })();

            function getComparer(metricName, isDesc) {
                return function (a, b) {
                    var aNumber = Number($(a).attr('data-sr-' + metricName));
                    var bNumber = Number($(b).attr('data-sr-' + metricName));
                    var result = aNumber > bNumber ? 1 : (aNumber < bNumber ? -1 : 0);
                    if (isDesc)
                        result = -1 * result;

                    if (result == 0 && metricName != "order")
                        result = getComparer("order", false)(a, b);

                    return result;
                };
            }

            var currentSort = "";
            function doSort(allowToggleDesc) {
                var newSort = $("input[name='barSortOrder']:checked").val();
                if (allowToggleDesc && currentSort == newSort) {
                    $('#barSortDesc').click();
                    doSort(false);
                    return;
                }
                currentSort = newSort;
                $('#testview td.testview-item').sortElements(getComparer(newSort, $('#barSortDesc').is(':checked')));
            }


            function doSetHeights(allowSort) {
                var selectedMetric = $("input[name='barHeight']:checked").val();
                $('#testview td.testview-item').setBarSizes(selectedMetric, 60, 0.0);

                if (allowSort && currentSort != selectedMetric) {
                    var $radios = $("input[name='barSortOrder']");
                    $radios.filter('[value=' + selectedMetric + ']').attr('checked', true);
                    $("#barSortDesc").attr("checked", [true]);
                    doSort(false);
                }
            }

            $(document).ready(function () {
                $("input[name='barSortOrder']").click(function () { doSort(true); return true; });
                $("input[name='barSortDesc']").change(function () { doSort(false); });
                $("input[name='barHeight']").change(function () { doSetHeights(true); });

                doSort(false);
                doSetHeights(false);

                $("div.scrollable").css({ 'overflow': 'auto' });
            });
        </script>

        <style type="text/css">
            body 
            {
                color: #000000;
                font-family: Arial,Liberation Sans,DejaVu Sans,sans-serif;
                line-height: 130%;
            }
            h1 {
                font-family: Trebuchet MS,Liberation Sans,DejaVu Sans,sans-serif;
                font-size: 170%;
                font-weight: bold;
            }            
            h2 {
                font-family: Trebuchet MS,Liberation Sans,DejaVu Sans,sans-serif;
                font-size: 130%;
                font-weight: bold;
                margin-bottom: 5px;
            }            
            h3 {
                font-family: Trebuchet MS,Liberation Sans,DejaVu Sans,sans-serif;
                font-size: 120%;
                font-weight: bold;
                margin-bottom: 5px;
            }            
            a.bar
            {
                text-decoration: none;
                display: block;
                line-height: 1px;
            }
            .description
            {
                font-style: italic;
            }
            .log 
            {
                width: 600px;
                white-space: pre-wrap;
                display: block;
                margin: 0px;
            }
            .errorMessage 
            {
                width: 600px;
                color: Red;
                font-weight: bold;
            }
            .stackTrace 
            {
                width: 600px;
                white-space: pre-wrap;
                font-style: italic;
                color: Red;
                display: block;
            }
            table.testEvents
            {
                border: solid 1px #e8eef4;
                border-collapse: collapse;
            }
            table.testEvents td
            {
                vertical-align: top;
                padding: 5px;
                border: solid 1px #e8eef4;
            }
            table.testEvents th
            {
                padding: 6px 5px;
                text-align: left;
                background-color: #e8eef4;
                border: solid 1px #e8eef4;                
            }
            .comment
            {
                font-style: italic;
                font-size: smaller;
            }
            .startupBar
            {
                background-color: #EEEEEE;
                cursor: default;
            }
            
            .colorSucceeded
            {
                background-color: #90ED7B;
            }
            .colorIgnored
            {
                background-color: #FFFF85;
            }
            .colorPending
            {
                background-color: #D47BED;
            }
            .colorNothingToRun
            {
                background-color: #CCCCFF;
            }
            .colorSkipped
            {
                background-color: #CCCCFF;
            }
            .colorInconclusive
            {
                background-color: #7BEDED;
            }
            .colorCleanupFailed
            {
                background-color: #FFCCCC;
            }
            .colorRandomlyFailed
            {
                background-color: #EDB07B;
            }
            .colorFailed
            {
                background-color: #ED5F5F;
            }
            .colorInitializationFailed
            {
                background-color: #FF0000;
            }
            .colorFrameworkError
            {
                background-color: #FF0000;
            }
            ul.subNodeLinks
            {
                padding-left: 20px;
                margin: 0px;
            }
            ul.subNodeLinks li
            {
                list-style: none;
            }
            
            /* views general */
            div.scrollable
            {
                /*overflow: auto; - thsi has to be set from js, because of an IE9 bug */
            }
            div.viewbox
            {
                position: relative;
                border: 3px solid #e8eef4;
            }
            div.viewbox table
            {
                border: 0px;
            }
                        
            /* testview */
            #testview
            {
                padding-top: 23px;
            }
            
            table.testview-items td
            {
                vertical-align: bottom;
                padding: 0px 1px 0px 1px;
            }
            td.right-padding, td.left-padding
            {
                width: 25px;
                min-width: 25px;
            }
            table.testview-items a.bar
            {
                width: 5px;
            }
            table.testview-items tr.testview-items-row
            {
                height: 60px;
            }
            
            /* scale */
            table.vertical-scale 
            {
                position: absolute;
                top: 23px;
                left: 0px;
                width: 100%;
                z-index: -100;
            }
            table.vertical-scale td, tr.horizontal-scale td
            {
                font-size: 60%;
                line-height: normal;
            }
            table.vertical-scale tr.scale-max, table.vertical-scale tr.scale-mid 
            {
                height: 30px;
            }
            tr.horizontal-scale, table.vertical-scale tr.scale-min 
            {
                height: 12px;
            }
            
            td.scale-max-label, td.scale-mid-label, td.scale-min-label
            {
                border-top: solid 1px #E6E6E6;
                text-align: left;
                vertical-align: top;
            }
            td.scale-10-label
            {
                border-left: solid 1px #E6E6E6;
                text-align: left;
                vertical-align: bottom;
                padding-left: 1px;
            }
            tr.scale-mid td, tr.scale-min td, tr.scale-max td
            {
                border-top: solid 1px #E6E6E6;
            }
           
            
            /* bar-control */
            #bar-control
            {
                font-size: 60%;
                line-height: normal;
                position: absolute;
                right: 0px;
                top: 0px;
            }
            #bar-control label
            {
                font-weight: bold;
                vertical-align: middle;
            }
            #bar-control .option
            {
                vertical-align: middle;
                text-transform: lowercase;
            }
            #bar-control input[type="checkbox"]
            {
                padding: 0 2px 0 3px;
            }
            #bar-control input
            {
                vertical-align: top;
                height: 12px;
                margin: 0px;
                padding: 0px;
            }
            #bar-control div
            {
                float: right;
                margin: 3px 5px 3px 5px;
            }
            
            
            /* timeline view */
            #timelineview
            {
                padding-top: 5px;
            }
            table.timelineview a
            {
                height: 20px;
            }
            table.timelineview td
            {
                vertical-align: bottom;
                padding: 0px 1px 0px 0px;
                border: 0px;
            }
            tr.thread-items-row
            {
                height: 25px;
            }
            tr.thread-items-row td
            {
                vertical-align: bottom;
            }
            td.thread-label
            {
                padding: 0px 6px 0px 6px;
                text-align: right;
                line-height: 18px;
                vertical-align: bottom;
            }
            th.thread-label
            {
                padding: 3px 6px 0px 6px;
                line-height: 18px;
                text-align: left;
                vertical-align: bottom;
            }
        </style>
	</head>
	<body>
        <h1>UnitTestProject4 Test Execution Report</h1>
        <ul>
            <li>Project: UnitTestProject4</li>
            <li>Configuration: Default</li>
            <li>Test Assemblies: C:\Projects\synergy\UnitTestProject4\bin\Debug\UnitTestProject4.dll</li>
            <li>Start Time: 1/14/2020 12:49:42 PM</li>
            <li>Duration: 00:00:06.3748415</li>
            <li>Test Threads: 1</li>
        </ul>

        <h2>Result: 1 failed (test cleanup falied for 1)</h2>
        <table class="testEvents">
                <tr>
        <th colspan="2">Success rate</th>
        <th>Tests</th>
        <th>Succeeded</th>
        <th>Failed</th>
        <th>Pending</th>
        <th>Ignored</th>
        <th>Skipped</th>
    </tr>

                <tr>
            <td>
            50%
    </td>
    <td>
        <table class="timelineview" cellpadding="0" cellspacing="0">
            <tr>
                    <td>
                        <a class="bar colorSucceeded" 
                                style="width: 99px;" 
                                title="1 succeeded" 
                                                        />
                    </td>
                    <td>
                        <a class="bar colorCleanupFailed" 
                                style="width: 99px;" 
                                title="test cleanup falied for 1" 
                                                    href="#error_summary"
                                />
                    </td>
            </tr>
        </table>
    </td>
    <td>2</td>
    <td>1</td>
    <td>1</td>
    <td>0</td>
    <td>0</td>
    <td>0</td>

    </tr>

        </table>
        
        <h2>Test Timeline Summary</h2>

        <div id="timelineview" class="viewbox">
            <div class="scrollable">
                <table cellpadding="0" cellspacing="0">
                    <tr>
                        <th class="thread-label" colspan="2">thread</th>
                    </tr>
                        <tr class="thread-items-row">
                            <td class="thread-label" title="Machine: EC2AMAZ-8PJDLQ5">#0</td>
                            <td colspan="1">
                                <table class="timelineview" cellpadding="0" cellspacing="0">
                                    <tr>

                                            <td>
        <a
            class="bar startupBar" 
            style="width: 3px;" 
                title="test thread startup" 
        >&nbsp;</a>
    </td>

    <td>
        <a
            class="bar colorCleanupFailed" 
            style="width: 3px;" 
                title="VerifyLocationApiForGivenCity (in UnitTestProject4.SpecFlow.ApiDemoFeature)" 
                href="#t-366807177.0"
        >&nbsp;</a>
    </td>
    <td>
        <a
            class="bar colorSucceeded" 
            style="width: 5px;" 
                title="VerifyContactSynergyPage (in UnitTestProject4.SpecFlow.WebsiteDemoFeature)" 
                href="#t-1705934038.0"
        >&nbsp;</a>
    </td>
                                    </tr>
                                </table>
                            </td>
                        </tr>
                    <tr class="horizontal-scale">
                        <td>&nbsp;</td>
                        <td class="scale-10-label">0s</td>
                    </tr>
                </table>
            </div>
        </div>

        <h2>Test Result View</h2>
        <div id="testview" class="viewbox">
            <div id="bar-control">
                <div id="bar-control-sort">
                    <label>sort by:</label>
                    <span class="option"><input type="radio" name="barSortOrder" value="exectime" />Time</span>
                    <span class="option"><input type="radio" name="barSortOrder" value="acttime" />Act Time</span>
                    <span class="option"><input type="radio" name="barSortOrder" value="order" />Execution</span>
                    <span class="option"><input type="radio" name="barSortOrder" value="rescode" checked="checked" />Result</span>
                    <span class="option"><input type="checkbox" name="barSortDesc" id="barSortDesc" checked="checked" />desc</span>
                </div>
                <div id="bar-control-heights">
                    <label>heights:</label>
                    <span class="option"><input type="radio" checked="checked" name="barHeight" value="exectime" />Time</span>
                    <span class="option"><input type="radio" name="barHeight" value="acttime" />Act Time</span>
                    
                </div>
            </div>
            <table class="vertical-scale" cellpadding="0" cellspacing="0">
                <tr class="scale-max">
                    <td class="left-padding scale-max-label">&nbsp;</td>
                    <td colspan="2">&nbsp;</td>
                    <td class="right-padding">&nbsp;</td>
                </tr>
                <tr class="scale-mid">
                    <td class="left-padding scale-mid-label">&nbsp;</td>
                    <td colspan="2">&nbsp;</td>
                    <td class="right-padding">&nbsp;</td>
                </tr>
                <tr class="scale-min">
                    <td class="left-padding scale-min-label">&nbsp;</td>
                    <td colspan="2">&nbsp;</td>
                    <td class="right-padding">&nbsp;</td>
                </tr>
            </table>
            <div class="scrollable">
                <table class="testview-items" cellpadding="0" cellspacing="0">
                    <tr class="testview-items-row">
                        <td class="left-padding">&nbsp;</td>
    <td class="testview-item" 
        data-sr-exectime="5.7342407" data-sr-rescode="110" data-sr-order="1" data-sr-acttime="0.0">
        <a
            class="bar colorSucceeded" 
            style="height: 60px;"
            title="VerifyContactSynergyPage (in UnitTestProject4.SpecFlow.WebsiteDemoFeature)"
            href="#t-1705934038.0">&nbsp;</a>
    </td>
    <td class="testview-item" 
        data-sr-exectime="0.4843506" data-sr-rescode="420" data-sr-order="0" data-sr-acttime="0.0">
        <a
            class="bar colorCleanupFailed" 
            style="height: 5px;"
            title="VerifyLocationApiForGivenCity (in UnitTestProject4.SpecFlow.ApiDemoFeature)"
            href="#t-366807177.0">&nbsp;</a>
    </td>
                        <td class="right-padding">&nbsp;</td>
                    </tr>
                    <tr class="horizontal-scale">
                        <td class="left-padding">&nbsp;</td>
                        <td colspan="10">&nbsp;</td>
                    </tr>
                </table>
            </div>
        </div>

        <h2>Feature Summary</h2>
        <table class="testEvents">
                <tr>
            <th>Feature</th>
        <th colspan="2">Success rate</th>
        <th>Tests</th>
        <th>Succeeded</th>
        <th>Failed</th>
        <th>Pending</th>
        <th>Ignored</th>
        <th>Skipped</th>
    </tr>

    <tr>
            <td><a href="#f119734048">UnitTestProject4.SpecFlow.ApiDemoFeature</a></td>
            <td>
            0%
    </td>
    <td>
        <table class="timelineview" cellpadding="0" cellspacing="0">
            <tr>
                    <td>
                        <a class="bar colorCleanupFailed" 
                                style="width: 199px;" 
                                title="test cleanup falied for 1" 
                                                    href="#error_summary"
                                />
                    </td>
            </tr>
        </table>
    </td>
    <td>1</td>
    <td>0</td>
    <td>1</td>
    <td>0</td>
    <td>0</td>
    <td>0</td>

    </tr>
    <tr>
            <td><a href="#f-1151495341">UnitTestProject4.SpecFlow.WebsiteDemoFeature</a></td>
            <td>
            100%
    </td>
    <td>
        <table class="timelineview" cellpadding="0" cellspacing="0">
            <tr>
                    <td>
                        <a class="bar colorSucceeded" 
                                style="width: 199px;" 
                                title="1 succeeded" 
                                                        />
                    </td>
            </tr>
        </table>
    </td>
    <td>1</td>
    <td>1</td>
    <td>0</td>
    <td>0</td>
    <td>0</td>
    <td>0</td>

    </tr>
        </table>

        <a name="error_summary" />
        <h2>Error Summary</h2>
        <table class="testEvents">
                <tr>
            <th>Test</th>
        <th colspan="2">Success rate</th>
        <th>Tests</th>
        <th>Succeeded</th>
        <th>Failed</th>
        <th>Pending</th>
        <th>Ignored</th>
        <th>Skipped</th>
    </tr>

                <tr>
                    <td>
                        <a href="#t-366807177.0">VerifyLocationApiForGivenCity (in UnitTestProject4, UnitTestProject4.SpecFlow.ApiDemoFeature)</a>
                    </td>
                        <td>
            0%
    </td>
    <td>
        <table class="timelineview" cellpadding="0" cellspacing="0">
            <tr>
                    <td>
                        <a class="bar colorCleanupFailed" 
                                style="width: 199px;" 
                                title="test cleanup falied for 1" 
                                                    href="#error_summary"
                                />
                    </td>
            </tr>
        </table>
    </td>
    <td>1</td>
    <td>0</td>
    <td>1</td>
    <td>0</td>
    <td>0</td>
    <td>0</td>

                </tr>
                <tr>
                    <td colspan="9" style="padding-left: 20px;"><div class="errorMessage">Error: Object reference not set to an instance of an object.</div></td>
                </tr>
        </table>

        <h2>Scenario Summary</h2>
            <a name="f119734048" />
            <h3>TestClass: UnitTestProject4.SpecFlow.ApiDemoFeature</h3>
                <div class="description"><pre>ApiDemo</pre>
                </div>
            <table class="testEvents">
                    <tr>
            <th>Test</th>
        <th colspan="2">Success rate</th>
        <th>Tests</th>
        <th>Succeeded</th>
        <th>Failed</th>
        <th>Pending</th>
        <th>Ignored</th>
        <th>Skipped</th>
    </tr>

                    <tr>
                        <td>
                                    <a href="#t-366807177.0">TestMethod: VerifyLocationApiForGivenCity</a>

                        </td>
                            <td>
            0%
    </td>
    <td>
        <table class="timelineview" cellpadding="0" cellspacing="0">
            <tr>
                    <td>
                        <a class="bar colorCleanupFailed" 
                                style="width: 199px;" 
                                title="test cleanup falied for 1" 
                                                    href="#error_summary"
                                />
                    </td>
            </tr>
        </table>
    </td>
    <td>1</td>
    <td>0</td>
    <td>1</td>
    <td>0</td>
    <td>0</td>
    <td>0</td>

                    </tr>
            </table>
            <a name="f-1151495341" />
            <h3>TestClass: UnitTestProject4.SpecFlow.WebsiteDemoFeature</h3>
                <div class="description"><pre>WebsiteDemo</pre>
                </div>
            <table class="testEvents">
                    <tr>
            <th>Test</th>
        <th colspan="2">Success rate</th>
        <th>Tests</th>
        <th>Succeeded</th>
        <th>Failed</th>
        <th>Pending</th>
        <th>Ignored</th>
        <th>Skipped</th>
    </tr>

                    <tr>
                        <td>
                                    <a href="#t-1705934038.0">TestMethod: VerifyContactSynergyPage</a>

                        </td>
                            <td>
            100%
    </td>
    <td>
        <table class="timelineview" cellpadding="0" cellspacing="0">
            <tr>
                    <td>
                        <a class="bar colorSucceeded" 
                                style="width: 199px;" 
                                title="1 succeeded" 
                                                        />
                    </td>
            </tr>
        </table>
    </td>
    <td>1</td>
    <td>1</td>
    <td>0</td>
    <td>0</td>
    <td>0</td>
    <td>0</td>

                    </tr>
            </table>

        <h2>Execution Details</h2>
            <a name="t-366807177.0" />
            <h3>TestMethod: VerifyLocationApiForGivenCity (in UnitTestProject4, UnitTestProject4.SpecFlow.ApiDemoFeature)</h3>
                <div class="description">
                    <pre>Verify location api for given city</pre>
                </div>
                <div class="description">
                    tags: RestApiDemo
                </div>
            <ul>
                <li>Status: CleanupFailed</li>
                <li>Start time: 1/14/2020 12:49:42 PM</li>
                <li>Execution time (sec): 0.4843506</li>
                <li>Thread: #0</li>
                <li>Error: Object reference not set to an instance of an object.</li>
            </ul>
            <table class="testEvents">
                <tr>
                    <th>Steps</th>
                    <th>Trace</th>
                    <th>Result</th>
                </tr>
                    <tr>
                        <td>
                            <pre class="log"></pre>
                        </td>
                        <td>
                            <!-- [Initialization: TestClass - UnitTestProject4.SpecFlow.ApiDemoFeature] -->
                            <pre class="log">-&gt; Using app.config</pre>
                        </td>
                        <td>Succeeded in 0.109s</td>
                    </tr>
                    <tr>
                        <td>
                            <pre class="log"></pre>
                        </td>
                        <td>
                            <!-- [Test: TestMethod - VerifyLocationApiForGivenCity] -->
                            <pre class="log">Given the user access google location api to search city &#39;Toronto&#39;
-&gt; done: SearchApi.GivenTheUserAccessGoogleLocationApiToSearchCity(&quot;Toronto&quot;) (0.0s)
Then the user should receive http code &#39;200&#39;
-&gt; done: SearchApi.ThenTheUserShouldReceiveHttpCode(200) (0.0s)
And the user should see the response contains searched city &#39;Toronto&#39;
name
- Search Api Test Suite
host
- 
uri
- 
body

request headers
- Content-Type : application/json
- Authorization : Basic MzA0NzY4MjY4OTpJUEhPTkU6
querystrings
parameters
host
- maps.googleapis.com
absolute path
- /maps/api/geocode/json
absolute uri
- https://maps.googleapis.com/maps/api/geocode/json?address=Toronto&amp;sensor=false&amp;238221&amp;key=AIzaSyB0z1TVEHzk5ZRG8luQbAkvfmvy1j2gWfg
authority
- maps.googleapis.com
path and query
- /maps/api/geocode/json?address=Toronto&amp;sensor=false&amp;238221&amp;key=AIzaSyB0z1TVEHzk5ZRG8luQbAkvfmvy1j2gWfg
original string
- https://maps.googleapis.com:443/maps/api/geocode/json?address=Toronto&amp;sensor=false&amp;238221&amp;key=AIzaSyB0z1TVEHzk5ZRG8luQbAkvfmvy1j2gWfg
scheme
- https
status code
- 200
response headers
- Content-Type : application/json; charset=UTF-8
- Expires : Fri, 01 Jan 1990 00:00:00 GMT
content
{
   &quot;results&quot; : [
      {
         &quot;address_components&quot; : [
            {
               &quot;long_name&quot; : &quot;Toronto&quot;,
               &quot;short_name&quot; : &quot;Toronto&quot;,
               &quot;types&quot; : [ &quot;locality&quot;, &quot;political&quot; ]
            },
            {
               &quot;long_name&quot; : &quot;Toronto Division&quot;,
               &quot;short_name&quot; : &quot;Toronto Division&quot;,
               &quot;types&quot; : [ &quot;administrative_area_level_2&quot;, &quot;political&quot; ]
            },
            {
               &quot;long_name&quot; : &quot;Ontario&quot;,
               &quot;short_name&quot; : &quot;ON&quot;,
               &quot;types&quot; : [ &quot;administrative_area_level_1&quot;, &quot;political&quot; ]
            },
            {
               &quot;long_name&quot; : &quot;Canada&quot;,
               &quot;short_name&quot; : &quot;CA&quot;,
               &quot;types&quot; : [ &quot;country&quot;, &quot;political&quot; ]
            }
         ],
         &quot;formatted_address&quot; : &quot;Toronto, ON, Canada&quot;,
         &quot;geometry&quot; : {
            &quot;bounds&quot; : {
               &quot;northeast&quot; : {
                  &quot;lat&quot; : 43.8554579,
                  &quot;lng&quot; : -79.1168971
               },
               &quot;southwest&quot; : {
                  &quot;lat&quot; : 43.5810245,
                  &quot;lng&quot; : -79.639219
               }
            },
            &quot;location&quot; : {
               &quot;lat&quot; : 43.653226,
               &quot;lng&quot; : -79.3831843
            },
            &quot;location_type&quot; : &quot;APPROXIMATE&quot;,
            &quot;viewport&quot; : {
               &quot;northeast&quot; : {
                  &quot;lat&quot; : 43.8554579,
                  &quot;lng&quot; : -79.1168971
               },
               &quot;southwest&quot; : {
                  &quot;lat&quot; : 43.5810245,
                  &quot;lng&quot; : -79.639219
               }
            }
         },
         &quot;place_id&quot; : &quot;ChIJpTvG15DL1IkRd8S0KlBVNTI&quot;,
         &quot;types&quot; : [ &quot;locality&quot;, &quot;political&quot; ]
      }
   ],
   &quot;status&quot; : &quot;OK&quot;
}

assertions
- Validate response : True
schema errors
-&gt; done: SearchApi.ThenTheUserShouldSeeTheResponseContainsSearchedCity(&quot;Toronto&quot;) (0.3s)</pre>
                        </td>
                        <td>Succeeded in 0.328s</td>
                    </tr>
                    <tr>
                        <td>
                            <pre class="log"></pre>
                        </td>
                        <td>
                            <!-- [Cleanup: TestMethod - VerifyLocationApiForGivenCity] -->
                            <pre class="log"></pre>
                                <div class="errorMessage">Object reference not set to an instance of an object.</div>
                                <pre class="stackTrace">System.NullReferenceException: Object reference not set to an instance of an object.
   at UnitTestProject4.HomePage.TearDownAfterScenario() in C:\Projects\synergy\UnitTestProject4\PageObjects\HomePage.cs:line 57
   at UnitTestProject4.HomeSteps.TearDown() in C:\Projects\synergy\UnitTestProject4\StepBindings\HomeSteps.cs:line 59
   at lambda_method(Closure , IContextManager )
   at TechTalk.SpecFlow.Bindings.BindingInvoker.InvokeBinding(IBinding binding, IContextManager contextManager, Object[] arguments, ITestTracer testTracer, TimeSpan&amp; duration)
   at TechTalk.SpecFlow.Infrastructure.TestExecutionEngine.InvokeHook(IBindingInvoker invoker, IHookBinding hookBinding, HookType hookType)
   at TechTalk.SpecFlow.Infrastructure.TestExecutionEngine.FireEvents(HookType hookType)
   at TechTalk.SpecFlow.Infrastructure.TestExecutionEngine.FireScenarioEvents(HookType bindingEvent)
   at TechTalk.SpecFlow.Infrastructure.TestExecutionEngine.OnScenarioEnd()
   at TechTalk.SpecFlow.TestRunner.OnScenarioEnd()
   at UnitTestProject4.SpecFlow.ApiDemoFeature.ScenarioTearDown()
   at TechTalk.SpecRun.Framework.TaskExecutors.StaticOrInstanceMethodExecutor.ExecuteInternal(ITestThreadExecutionContext testThreadExecutionContext)
   at TechTalk.SpecRun.Framework.TaskExecutors.StaticOrInstanceMethodExecutor.Execute(ITestThreadExecutionContext testThreadExecutionContext)
   at TechTalk.SpecRun.Framework.TestAssemblyExecutor.ExecuteTestNodeTask(TestNode testNode, ITaskExecutor task, TraceEventType eventType)</pre>
                        </td>
                        <td>Failed in 0.016s</td>
                    </tr>
            </table>
            <a name="t-1705934038.0" />
            <h3>TestMethod: VerifyContactSynergyPage (in UnitTestProject4, UnitTestProject4.SpecFlow.WebsiteDemoFeature)</h3>
                <div class="description">
                    <pre>Verify Contact Synergy page</pre>
                </div>
                <div class="description">
                    tags: WebsiteTesting
                </div>
            <ul>
                <li>Status: Succeeded</li>
                <li>Start time: 1/14/2020 12:49:43 PM</li>
                <li>Execution time (sec): 5.7342407</li>
                <li>Thread: #0</li>
            </ul>
            <table class="testEvents">
                <tr>
                    <th>Steps</th>
                    <th>Trace</th>
                    <th>Result</th>
                </tr>
                    <tr>
                        <td>
                            <pre class="log"></pre>
                        </td>
                        <td>
                            <!-- [Test: TestMethod - VerifyContactSynergyPage] -->
                            <pre class="log">-&gt; warning: The previous ScenarioContext was not disposed.
Given I launch the website
-&gt; done: HomeSteps.GivenILaunchTheWebsite() (4.5s)
When I navigate to Contact Synergy Page
-&gt; done: HomeSteps.WhenINavigateToContactUs() (0.9s)
Then I should see section for &#39;General Contact&#39;
-&gt; done: HomeSteps.ThenIShouldSeeAddressAs(&quot;General Contact&quot;) (0.1s)
And I should see section for &#39;Web Support&#39;
-&gt; done: HomeSteps.ThenIShouldSeeAddressAs(&quot;Web Support&quot;) (0.0s)
And I should see section for &#39;Email Support&#39;
-&gt; done: HomeSteps.ThenIShouldSeeAddressAs(&quot;Email Support&quot;) (0.0s)</pre>
                        </td>
                        <td>Succeeded in 5.587s</td>
                    </tr>
            </table>
	</body>
</html>
</a><div style='position: absolute; top:0px; right:10px; z-index: 1000; text-align: right; font-size: small; color: #FF5555'>
Generated by an evaluation version of SpecRun.<br />
This version can be used for evaluation purposes only.<br />
For obtaining a registered license please visit <a href='http://www.specflow.org/plus'>http://www.specflow.org/plus</a>.
</div>
